/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997-2012 Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Sam Lantinga
    slouken@libsdl.org
*/
#include "SDL_config.h"

/* This is the joystick API for Simple DirectMedia Layer */

#include "SDL_events.h"
#include "SDL_sysjoystick.h"
#include "SDL_joystick_c.h"
#if !SDL_EVENTS_DISABLED
#include "../events/SDL_events_c.h"
#endif

/* This is used for Quake III Arena */
#if SDL_EVENTS_DISABLED
#define SDL_Lock_EventThread()
#define SDL_Unlock_EventThread()
#endif

Uint8 SDL_numjoysticks = 0;
int SDL_allocatedjoysticks = 0;
SDL_Joystick **SDL_joysticks = NULL;

int SDL_JoystickInit(void)
{
	return -1;
}

int SDL_NumJoysticks(void)
{
	return 0;
}

const char *SDL_JoystickName(int device_index)
{
	return "";
}


SDL_Joystick *SDL_JoystickOpen(int device_index)
{
	
	return NULL;
}


int SDL_JoystickOpened(int device_index)
{
	return 0;
}

static int ValidJoystick(SDL_Joystick **joystick)
{
	return -1;
}

int SDL_JoystickIndex(SDL_Joystick *joystick)
{
	return -1;
}

int SDL_JoystickNumAxes(SDL_Joystick *joystick)
{
	return -1;
}

int SDL_JoystickNumHats(SDL_Joystick *joystick)
{
	return -1;
}

int SDL_JoystickNumBalls(SDL_Joystick *joystick)
{
	return -1;
}

int SDL_JoystickNumButtons(SDL_Joystick *joystick)
{
	return -1;
}

Sint16 SDL_JoystickGetAxis(SDL_Joystick *joystick, int axis)
{
	return -1;
}

Uint8 SDL_JoystickGetHat(SDL_Joystick *joystick, int hat)
{
	return -1;
}

int SDL_JoystickGetBall(SDL_Joystick *joystick, int ball, int *dx, int *dy)
{
	return -1;
}

Uint8 SDL_JoystickGetButton(SDL_Joystick *joystick, int button)
{
	return -1;
}

void SDL_JoystickClose(SDL_Joystick *joystick)
{
}

void SDL_JoystickQuit(void)
{
}


/* These are global for SDL_sysjoystick.c and SDL_events.c */

int SDL_PrivateJoystickAxis(SDL_Joystick *joystick, Uint8 axis, Sint16 value)
{
	return -1;
}

int SDL_PrivateJoystickHat(SDL_Joystick *joystick, Uint8 hat, Uint8 value)
{
	return -1;
}

int SDL_PrivateJoystickBall(SDL_Joystick *joystick, Uint8 ball,
					Sint16 xrel, Sint16 yrel)
{
	return -1;
}

int SDL_PrivateJoystickButton(SDL_Joystick *joystick, Uint8 button, Uint8 state)
{
	return -1;
}

void SDL_JoystickUpdate(void)
{
}

int SDL_JoystickEventState(int state)
{
	return -1;
}